#!/bin/sh

HOST=us-msync.centos.org
REPO=CentOS

IP=`/usr/bin/dig $HOST +short`

if [ -e /tmp/Lock.SyncRepos.sh ] ; then
    echo CentOS Rsync Lock file found!!
else
    touch /tmp/Lock.SyncRepos.sh
    if [ -e /home/mirror/centos/ ] ; then
        echo -n "Syncing DVD.isos - "
        date
        /usr/bin/rsync -avzHp --delay-updates --delete --delete-after --filter='include */' --filter='include *DVD*iso' --filter='exclude *' mirror.cogentco.com::CentOS /home/mirror/centos/
        echo
        echo
        echo Syncing everything else
        /bin/echo -n "$HOST: $IP - "
        date
        /usr/bin/rsync -avzHp --delay-updates --delete --delete-after --delete-excluded --exclude='.~tmp~' --filter='protect *DVD*iso' $IP::$REPO /home/mirror/centos/
        echo
    else
        echo CentOS Rsync mount not found!!
    fi
    rm /tmp/Lock.SyncRepos.sh
fi
